#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pnam	Glib-Object-Introspection
%include	/usr/lib/rpm/macros.perl
Summary:	Perl Glib Object-Introspection bindings
Summary(pl.UTF-8):	Wiązania Glib Object-Introspection dla Perla
Name:		perl-Glib-Object-Introspection
Version:	0.015
# place real perl-Glib version and set to 1 when required perl-Glib is released
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	c3a7f69d2748b5d2d9b9cdfc838cb1ec
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	libffi-devel >= 3.0.0
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.00
BuildRequires:	perl-Glib-devel >= 1.280
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig(libffi) >= 3.0.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	cairo-devel
BuildRequires:	glib2-devel >= 2.0
%endif
Requires:	gobject-introspection >= 0.10.0
Requires:	perl-Glib >= 1.280
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glib::Object::Introspection uses the gobject-introspection and libffi
projects to dynamically create Perl bindings for a wide variety of
libraries. Examples include gtk+, webkit, libsoup and many more.

%description -l pl.UTF-8
Glib::GObject::Introspection wykorzystuje projekty
gobject-introspection oraz libffi do dynamicznego tworzenia wiązań
Perla do wielu bibliotek, na przykład gtk+, webkit, libsoup.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Glib/Object/Introspection/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%dir %{perl_vendorarch}/Glib/Object
%{perl_vendorarch}/Glib/Object/Introspection.pm
%dir %{perl_vendorarch}/Glib/Object/Introspection
%{perl_vendorarch}/Glib/Object/Introspection/Install
%dir %{perl_vendorarch}/auto/Glib/Object
%dir %{perl_vendorarch}/auto/Glib/Object/Introspection
%attr(755,root,root) %{perl_vendorarch}/auto/Glib/Object/Introspection/Introspection.so
%{perl_vendorarch}/auto/Glib/Object/Introspection/Introspection.bs
%{_mandir}/man3/Glib::Object::Introspection.3pm*
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Glib-Object-Introspection.git;a=log;h=master

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 8fcf778
- removed dir duplicate

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> d37f909
- updated to 0.015

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 9aaaedb
- updated to 0.009; needs perl-Glib >= 1.240

* Mon Aug 15 2011 Jakub Bogusz <qboosh@pld-linux.org> a4e9a82
- new; release 0.1 as it requires unreleased perl-Glib

